Update Project Skill

Update project-scoped skill metadata.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

skill_idstringRequiredformat: "uuid"
The skill ID
org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID

Request

This endpoint expects an object.
slugstring or nullOptional
display_namestring or nullOptional<=255 characters
descriptionstring or nullOptional<=1024 characters
licensestring or nullOptional<=255 characters
compatibilitystring or nullOptional<=500 characters

Response

Project skill updated
idstringformat: "uuid"
slugstring
display_namestring
descriptionstring or null
licensestring or null
compatibilitystring or null
sourceobject
tagslist of strings
has_active_revisionboolean
has_capabilitiesboolean
requires_prerequisitesboolean
active_revisionobject or null
createdstring
modifiedstring
project_idstringformat: "uuid"
created_by_user_idstring or nullformat: "uuid"

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error